package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Form;
import com.realnet.basicp1.Services.FormService ;














@RequestMapping(value = "/token/Form")
 @CrossOrigin("*") 
@RestController
public class tokenFree_FormController {
	@Autowired
	private FormService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Form")
		  public Form Savedata(@RequestBody Form data) {
		Form save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Form/{id}")
	public  Form update(@RequestBody Form data,@PathVariable Integer id ) {
		Form update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Form/getall/page")
	public Page<Form> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Form> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Form")
	public List<Form> getdetails() {
		 List<Form> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Form")
	public List<Form> getallwioutsec() {
		 List<Form> get = Service.getdetails();		
		return get;
}
@GetMapping("/Form/{id}")
	public  Form  getdetailsbyId(@PathVariable Integer id ) {
		Form  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Form/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}